<?php
/*
 * Tutorial: Cómo modificar un tipo de artículo en WordPress
 * URL: https://www.rafaelcardero.com/es/tutoriales/como-modificar-un-tipo-de-articulo-en-wordpress/
 */

/* -----------------------------------------------------------------------------
 * - Ejemplo
 * ---------------------------------------------------------------------------*/

/*
 * Updates the 'ns_testimonial_cpt' post type while it is being registered.
 */
function ns_update_testimonial_cpt($args, $post_type){

    if($post_type == 'ns_testimonial_cpt'){
        $args['has_archive'] = true; 
        $args['rewrite'] = array('slug' => 'testimonials');
        $args['query_var'] = 'testimonial';
    }
    return $args;
}
add_filter('register_post_type_args', 'ns_update_testimonial_cpt', 10, 2);